<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans_obj.xsd"/>
<xsd:include schemaLocation="common_obj.xsd"/>


	<xsd:element name="DONGLE_CONFIGURATION" type="DongleConfigurationContent"/>


	<xsd:element name="COMMON_PARAMS" type="CommonParamsContent"/>

	<xsd:element name="VALIDATION_FLAG" type="xsd:string"/>
	<xsd:element name="SERIAL_NUMBER" type="xsd:string"/>
	<xsd:element name="UPGRADE_FROM" type="xsd:string"/>
	<xsd:element name="CONFIGURATION_NAME" type="xsd:string"/>
	<xsd:element name="DONGLE_API_NUMBER" type="xsd:integer"/>
	<xsd:element name="MCU_VERSION_NUMBER" type="xsd:string"/>
	<xsd:element name="DONGLE_UTILITY_VERSION_NUMBER" type="xsd:string"/>


	<xsd:element name="NUMBERS_OF_BOARDS" type="NumbersOfBoardsContent"/>

	<xsd:element name="NUMBER_OF_NET2_BOARDS" type="xsd:integer"/>
	<xsd:element name="NUMBER_OF_IP2_BOARDS" type="xsd:integer"/>
	<xsd:element name="NUMBER_OF_IP1_BOARDS" type="xsd:integer"/>
	<xsd:element name="NUMBER_OF_MUX1_BOARDS" type="xsd:integer"/>
	<xsd:element name="NUMBER_OF_AUDIO7_BOARDS" type="xsd:integer"/>
	<xsd:element name="NUMBER_OF_VIDEO_BOARDS" type="xsd:integer"/>
	<xsd:element name="NUMBER_OF_DATA_BOARDS" type="xsd:integer"/>
	<xsd:element name="NUMBER_OF_PRI_SPANS" type="xsd:integer"/>


	<xsd:element name="GENERAL_PARAMS" type="GeneralParamsContent"/>

	<xsd:element name="MAX_NUMBER_OF_VIDEO_PORTS" type="xsd:integer"/>


	<xsd:element name="MAX_NUMBERS_OF_IP_PARTICIPANTS" type="MaxNumbersOfIpParticipantsContent"/>

	<xsd:element name="MAX_NUMBER_OF_VOIP_PARTICIPANTS" type="xsd:integer"/>
	<xsd:element name="MAX_NUMBER_OF_IP_128_PARTICIPANTS" type="xsd:integer"/>
	<xsd:element name="MAX_NUMBER_OF_IP_384_PARTICIPANTS" type="xsd:integer"/>
	<xsd:element name="MAX_NUMBER_OF_IP_768_PARTICIPANTS" type="xsd:integer"/>
	<xsd:element name="MAX_NUMBER_OF_IP_E1_PARTICIPANTS" type="xsd:integer"/>


	<xsd:element name="MAX_NUMBERS_OF_ISDN_PARTICIPANTS" type="MaxNumbersOfIsdnParticipantsContent"/>

	<xsd:element name="MAX_NUMBER_OF_PSTN_PARTICIPANTS" type="xsd:integer"/>
	<xsd:element name="MAX_NUMBER_OF_ISDN_128_PARTICIPANTS" type="xsd:integer"/>
	<xsd:element name="MAX_NUMBER_OF_ISDN_384_PARTICIPANTS" type="xsd:integer"/>
	<xsd:element name="MAX_NUMBER_OF_ISDN_768_PARTICIPANTS" type="xsd:integer"/>
	<xsd:element name="MAX_NUMBER_OF_ISDN_E1_PARTICIPANTS" type="xsd:integer"/>


	<xsd:element name="ATTRIBUTES" type="AttributesContent"/>

	<xsd:element name="SCHEDULED_CONF" type="xsd:boolean" default="true"/>
	<xsd:element name="GATEWAY_SESSIONS" type="xsd:boolean" default="true"/>
	<xsd:element name="VIDEO_PARTICIPANTS" type="xsd:boolean" default="true"/>
	<xsd:element name="VIRTUAL_CONFERENCE_SUITE" type="xsd:boolean" default="true"/>
	<xsd:element name="VIDEO_IVR_DTMF" type="xsd:boolean" default="true"/>
	<xsd:element name="VOICE_IVR_DTMF" type="xsd:boolean" default="true"/>
	<xsd:element name="CLICK_AND_VIEW" type="xsd:boolean" default="true"/>
	<xsd:element name="RECORDING" type="xsd:boolean" default="true"/>




	<xsd:complexType name="DongleConfigurationContent">
		<xsd:sequence>
			<xsd:element ref="COMMON_PARAMS"/>
			<xsd:element ref="NUMBERS_OF_BOARDS"/>
			<xsd:element ref="GENERAL_PARAMS"/>
			<xsd:element ref="MAX_NUMBERS_OF_IP_PARTICIPANTS"/>
			<xsd:element ref="MAX_NUMBERS_OF_ISDN_PARTICIPANTS"/>
			<xsd:element ref="ATTRIBUTES"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="CommonParamsContent">
		<xsd:sequence>
			<xsd:element ref="SERIAL_NUMBER"/>
			<xsd:element ref="VALIDATION_FLAG"/>
			<xsd:element ref="UPGRADE_FROM"/>
			<xsd:element ref="CONFIGURATION_NAME"/>
			<xsd:element ref="DONGLE_API_NUMBER"/>
			<xsd:element ref="MCU_VERSION_NUMBER"/>
			<xsd:element ref="DONGLE_UTILITY_VERSION_NUMBER"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="NumbersOfBoardsContent">
		<xsd:sequence>
			<xsd:element ref="NUMBER_OF_NET2_BOARDS"/>
			<xsd:element ref="NUMBER_OF_IP2_BOARDS"/>
			<xsd:element ref="NUMBER_OF_IP1_BOARDS"/>
			<xsd:element ref="NUMBER_OF_MUX1_BOARDS"/>
			<xsd:element ref="NUMBER_OF_AUDIO7_BOARDS"/>
			<xsd:element ref="NUMBER_OF_VIDEO_BOARDS"/>
			<xsd:element ref="NUMBER_OF_DATA_BOARDS"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="GeneralParamsContent">
		<xsd:sequence>
			<xsd:element ref="TOTAL_NUMBER_OF_PARTICIPANTS"/>
			<xsd:element ref="MAX_NUMBER_OF_VIDEO_PORTS"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="MaxNumbersOfIpParticipantsContent">
		<xsd:sequence>
			<xsd:element ref="MAX_NUMBER_OF_VOIP_PARTICIPANTS"/>
			<xsd:element ref="MAX_NUMBER_OF_IP_128_PARTICIPANTS"/>
			<xsd:element ref="MAX_NUMBER_OF_IP_384_PARTICIPANTS"/>
			<xsd:element ref="MAX_NUMBER_OF_IP_768_PARTICIPANTS"/>
			<xsd:element ref="MAX_NUMBER_OF_IP_E1_PARTICIPANTS"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="MaxNumbersOfIsdnParticipantsContent">
		<xsd:sequence>
			<xsd:element ref="MAX_NUMBER_OF_PSTN_PARTICIPANTS"/>
			<xsd:element ref="MAX_NUMBER_OF_ISDN_128_PARTICIPANTS"/>
			<xsd:element ref="MAX_NUMBER_OF_ISDN_384_PARTICIPANTS"/>
			<xsd:element ref="MAX_NUMBER_OF_ISDN_768_PARTICIPANTS"/>
			<xsd:element ref="MAX_NUMBER_OF_ISDN_E1_PARTICIPANTS"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="AttributesContent">
		<xsd:sequence>
			<xsd:element ref="NUMBER_OF_PRI_SPANS"/>
			<xsd:element ref="SCHEDULED_CONF"/>
			<xsd:element ref="GATEWAY_SESSIONS"/>
			<xsd:element ref="VIDEO_PARTICIPANTS"/>
			<xsd:element ref="VIRTUAL_CONFERENCE_SUITE"/>
			<xsd:element ref="VIDEO_IVR_DTMF"/>
			<xsd:element ref="VOICE_IVR_DTMF"/>
			<xsd:element ref="CLICK_AND_VIEW"/>
			<xsd:element ref="RECORDING"/>
			<xsd:element ref="ENCRYPTION"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>


</xsd:schema>

